diff --git a/test/containers/sequences/forwardlist/forwardlist.modifiers/insert_after_rv.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.modifiers/insert_after_rv.pass.cpp
index 59f6770..4f0be52 100644
--- a/test/containers/sequences/forwardlist/forwardlist.modifiers/insert_after_rv.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.modifiers/insert_after_rv.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 
 #include "../../../MoveOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.modifiers/insert_after_size_value.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.modifiers/insert_after_size_value.pass.cpp
index 4297753..b2da2ec 100644
--- a/test/containers/sequences/forwardlist/forwardlist.modifiers/insert_after_size_value.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.modifiers/insert_after_size_value.pass.cpp
@@ -14,7 +14,7 @@
 #include <forward_list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.modifiers/pop_front.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.modifiers/pop_front.pass.cpp
index 0b73c7a..276f2c9 100644
--- a/test/containers/sequences/forwardlist/forwardlist.modifiers/pop_front.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.modifiers/pop_front.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 
 #include "../../../MoveOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.modifiers/push_front_const.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.modifiers/push_front_const.pass.cpp
index bcf2865..85958af 100644
--- a/test/containers/sequences/forwardlist/forwardlist.modifiers/push_front_const.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.modifiers/push_front_const.pass.cpp
@@ -14,7 +14,7 @@
 #include <forward_list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.modifiers/push_front_rv.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.modifiers/push_front_rv.pass.cpp
index f2e99e1..53181ec 100644
--- a/test/containers/sequences/forwardlist/forwardlist.modifiers/push_front_rv.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.modifiers/push_front_rv.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 
 #include "../../../MoveOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.modifiers/resize_size.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.modifiers/resize_size.pass.cpp
index e937280..2086136 100644
--- a/test/containers/sequences/forwardlist/forwardlist.modifiers/resize_size.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.modifiers/resize_size.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 
 #include "../../../DefaultOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.modifiers/resize_size_value.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.modifiers/resize_size_value.pass.cpp
index 89775d1..d722b92 100644
--- a/test/containers/sequences/forwardlist/forwardlist.modifiers/resize_size_value.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.modifiers/resize_size_value.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 
 #include "../../../DefaultOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/merge.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/merge.pass.cpp
index 280d92c..3b6f853 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/merge.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/merge.pass.cpp
@@ -15,7 +15,7 @@
 #include <iterator>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/merge_pred.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/merge_pred.pass.cpp
index 6d6c40e..7e873bd 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/merge_pred.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/merge_pred.pass.cpp
@@ -16,7 +16,7 @@
 #include <functional>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/remove.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/remove.pass.cpp
index 9874803..a15e786 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/remove.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/remove.pass.cpp
@@ -15,7 +15,7 @@
 #include <iterator>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/remove_if.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/remove_if.pass.cpp
index 93b8ad8..4c4e80c 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/remove_if.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/remove_if.pass.cpp
@@ -15,7 +15,7 @@
 #include <iterator>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 bool g(int i)
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/reverse.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/reverse.pass.cpp
index b707c19..9bf0d03 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/reverse.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/reverse.pass.cpp
@@ -16,7 +16,7 @@
 #include <algorithm>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 template <class C>
 void test(int N)
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/sort.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/sort.pass.cpp
index 9a8bd17..06e40c5 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/sort.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/sort.pass.cpp
@@ -17,7 +17,7 @@
 #include <vector>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 template <class C>
 void test(int N)
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/sort_pred.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/sort_pred.pass.cpp
index 8524439..8b6ca39 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/sort_pred.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/sort_pred.pass.cpp
@@ -18,7 +18,7 @@
 #include <functional>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 template <class C>
 void test(int N)
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_flist.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_flist.pass.cpp
index 0fee4a4..51da651 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_flist.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_flist.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include <iterator>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 typedef int T;
 const T t1[] = {0, 1, 2, 3, 4, 5, 6, 7};
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_one.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_one.pass.cpp
index 6e75d49..296ffcd 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_one.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_one.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include <iterator>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 typedef int T;
 const T t1[] = {0, 1, 2, 3, 4, 5, 6, 7};
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_range.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_range.pass.cpp
index 0c61280..90a1599 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_range.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/splice_after_range.pass.cpp
@@ -16,7 +16,7 @@
 #include <cassert>
 #include <iterator>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 typedef int T;
 const T t1[] = {0, 1, 2, 3, 4, 5, 6, 7};
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/unique.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/unique.pass.cpp
index 9c95dc9..25db6e6 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/unique.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/unique.pass.cpp
@@ -15,7 +15,7 @@
 #include <iterator>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.ops/unique_pred.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.ops/unique_pred.pass.cpp
index f956f27..b7dce20 100644
--- a/test/containers/sequences/forwardlist/forwardlist.ops/unique_pred.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.ops/unique_pred.pass.cpp
@@ -15,7 +15,7 @@
 #include <iterator>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 bool g(int x, int y)
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.spec/equal.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.spec/equal.pass.cpp
index 485d89e..ca673b5 100644
--- a/test/containers/sequences/forwardlist/forwardlist.spec/equal.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.spec/equal.pass.cpp
@@ -22,7 +22,7 @@
 #include <algorithm>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 template <class C>
 void test(int N, int M)
diff --git a/test/containers/sequences/forwardlist/forwardlist.spec/member_swap.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.spec/member_swap.pass.cpp
index da27cc9..9c3a546 100644
--- a/test/containers/sequences/forwardlist/forwardlist.spec/member_swap.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.spec/member_swap.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.spec/non_member_swap.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.spec/non_member_swap.pass.cpp
index 115a369..aa34ce9 100644
--- a/test/containers/sequences/forwardlist/forwardlist.spec/non_member_swap.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.spec/non_member_swap.pass.cpp
@@ -16,7 +16,7 @@
 #include <cassert>
 
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/forwardlist.spec/relational.pass.cpp b/test/containers/sequences/forwardlist/forwardlist.spec/relational.pass.cpp
index 7823693..42e245d 100644
--- a/test/containers/sequences/forwardlist/forwardlist.spec/relational.pass.cpp
+++ b/test/containers/sequences/forwardlist/forwardlist.spec/relational.pass.cpp
@@ -30,7 +30,7 @@
 #include <algorithm>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 template <class C>
 void test(int N, int M)
diff --git a/test/containers/sequences/forwardlist/max_size.pass.cpp b/test/containers/sequences/forwardlist/max_size.pass.cpp
index 96883b5..be7ebaf 100644
--- a/test/containers/sequences/forwardlist/max_size.pass.cpp
+++ b/test/containers/sequences/forwardlist/max_size.pass.cpp
@@ -14,7 +14,7 @@
 #include <forward_list>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/forwardlist/types.pass.cpp b/test/containers/sequences/forwardlist/types.pass.cpp
index d812f8a..13c379f 100644
--- a/test/containers/sequences/forwardlist/types.pass.cpp
+++ b/test/containers/sequences/forwardlist/types.pass.cpp
@@ -28,7 +28,8 @@
 #include <forward_list>
 #include <type_traits>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
+#include "powerpc-darwin.h"
 
 int main()
 {
@@ -38,7 +39,11 @@ int main()
     static_assert((std::is_same<std::forward_list<char>::const_reference, const char&>::value), "");
     static_assert((std::is_same<std::forward_list<char>::pointer, char*>::value), "");
     static_assert((std::is_same<std::forward_list<char>::const_pointer, const char*>::value), "");
+#ifdef	PTRDIFF_T_VS_SIZE_T_DIFFER
+    static_assert(sizeof(std::forward_list<char>::size_type) == sizeof(std::size_t), "");
+#else
     static_assert((std::is_same<std::forward_list<char>::size_type, std::size_t>::value), "");
+#endif
     static_assert((std::is_same<std::forward_list<char>::difference_type, std::ptrdiff_t>::value), "");
 #if __cplusplus >= 201103L
     static_assert((std::is_same<std::forward_list<char, min_allocator<char>>::value_type, char>::value), "");
@@ -47,7 +52,11 @@ int main()
     static_assert((std::is_same<std::forward_list<char, min_allocator<char>>::const_reference, const char&>::value), "");
     static_assert((std::is_same<std::forward_list<char, min_allocator<char>>::pointer, min_pointer<char>>::value), "");
     static_assert((std::is_same<std::forward_list<char, min_allocator<char>>::const_pointer, min_pointer<const char>>::value), "");
+#ifdef	PTRDIFF_T_VS_SIZE_T_DIFFER
+    static_assert(sizeof(std::forward_list<char, min_allocator<char>>::size_type) == sizeof(std::size_t), "");
+#else
     static_assert((std::is_same<std::forward_list<char, min_allocator<char>>::size_type, std::size_t>::value), "");
+#endif
     static_assert((std::is_same<std::forward_list<char, min_allocator<char>>::difference_type, std::ptrdiff_t>::value), "");
 #endif
 }
diff --git a/test/containers/sequences/list/db_back.pass.cpp b/test/containers/sequences/list/db_back.pass.cpp
index 22a7eac..b16c0e9 100644
--- a/test/containers/sequences/list/db_back.pass.cpp
+++ b/test/containers/sequences/list/db_back.pass.cpp
@@ -21,7 +21,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/db_cback.pass.cpp b/test/containers/sequences/list/db_cback.pass.cpp
index 613b4f1..ba3977e 100644
--- a/test/containers/sequences/list/db_cback.pass.cpp
+++ b/test/containers/sequences/list/db_cback.pass.cpp
@@ -21,7 +21,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/db_cfront.pass.cpp b/test/containers/sequences/list/db_cfront.pass.cpp
index 2646fe1..d42290c 100644
--- a/test/containers/sequences/list/db_cfront.pass.cpp
+++ b/test/containers/sequences/list/db_cfront.pass.cpp
@@ -21,7 +21,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/db_front.pass.cpp b/test/containers/sequences/list/db_front.pass.cpp
index f7c3dfc..037b160 100644
--- a/test/containers/sequences/list/db_front.pass.cpp
+++ b/test/containers/sequences/list/db_front.pass.cpp
@@ -21,7 +21,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/db_iterators_6.pass.cpp b/test/containers/sequences/list/db_iterators_6.pass.cpp
index 9528d75..a5b8020 100644
--- a/test/containers/sequences/list/db_iterators_6.pass.cpp
+++ b/test/containers/sequences/list/db_iterators_6.pass.cpp
@@ -21,7 +21,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/db_iterators_7.pass.cpp b/test/containers/sequences/list/db_iterators_7.pass.cpp
index 795ffa7..76a491b 100644
--- a/test/containers/sequences/list/db_iterators_7.pass.cpp
+++ b/test/containers/sequences/list/db_iterators_7.pass.cpp
@@ -21,7 +21,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/db_iterators_8.pass.cpp b/test/containers/sequences/list/db_iterators_8.pass.cpp
index 2c34723..1d1ee23 100644
--- a/test/containers/sequences/list/db_iterators_8.pass.cpp
+++ b/test/containers/sequences/list/db_iterators_8.pass.cpp
@@ -21,7 +21,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/iterators.pass.cpp b/test/containers/sequences/list/iterators.pass.cpp
index 9f6a51b..a843334 100644
--- a/test/containers/sequences/list/iterators.pass.cpp
+++ b/test/containers/sequences/list/iterators.pass.cpp
@@ -20,7 +20,7 @@
 #include <cassert>
 #include <iterator>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 struct A
 {
diff --git a/test/containers/sequences/list/list.capacity/resize_size.pass.cpp b/test/containers/sequences/list/list.capacity/resize_size.pass.cpp
index d5135ee..7f0ebc9 100644
--- a/test/containers/sequences/list/list.capacity/resize_size.pass.cpp
+++ b/test/containers/sequences/list/list.capacity/resize_size.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 #include "../../../DefaultOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.capacity/resize_size_value.pass.cpp b/test/containers/sequences/list/list.capacity/resize_size_value.pass.cpp
index dbe2c3f..ab171d5 100644
--- a/test/containers/sequences/list/list.capacity/resize_size_value.pass.cpp
+++ b/test/containers/sequences/list/list.capacity/resize_size_value.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 #include "../../../DefaultOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/assign_copy.pass.cpp b/test/containers/sequences/list/list.cons/assign_copy.pass.cpp
index 422436a..6426e01 100644
--- a/test/containers/sequences/list/list.cons/assign_copy.pass.cpp
+++ b/test/containers/sequences/list/list.cons/assign_copy.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/assign_initializer_list.pass.cpp b/test/containers/sequences/list/list.cons/assign_initializer_list.pass.cpp
index e438f40..24bd140 100644
--- a/test/containers/sequences/list/list.cons/assign_initializer_list.pass.cpp
+++ b/test/containers/sequences/list/list.cons/assign_initializer_list.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/assign_move.pass.cpp b/test/containers/sequences/list/list.cons/assign_move.pass.cpp
index da788dd..3bcd824 100644
--- a/test/containers/sequences/list/list.cons/assign_move.pass.cpp
+++ b/test/containers/sequences/list/list.cons/assign_move.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include "../../../MoveOnly.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/copy.pass.cpp b/test/containers/sequences/list/list.cons/copy.pass.cpp
index b490eba..0d093bd 100644
--- a/test/containers/sequences/list/list.cons/copy.pass.cpp
+++ b/test/containers/sequences/list/list.cons/copy.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include "../../../DefaultOnly.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/copy_alloc.pass.cpp b/test/containers/sequences/list/list.cons/copy_alloc.pass.cpp
index 30eb9ff..910021c 100644
--- a/test/containers/sequences/list/list.cons/copy_alloc.pass.cpp
+++ b/test/containers/sequences/list/list.cons/copy_alloc.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include "../../../DefaultOnly.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/default.pass.cpp b/test/containers/sequences/list/list.cons/default.pass.cpp
index a6e193c..e992dca 100644
--- a/test/containers/sequences/list/list.cons/default.pass.cpp
+++ b/test/containers/sequences/list/list.cons/default.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 #include "../../../DefaultOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/default_stack_alloc.pass.cpp b/test/containers/sequences/list/list.cons/default_stack_alloc.pass.cpp
index ef42e52..9d9946b 100644
--- a/test/containers/sequences/list/list.cons/default_stack_alloc.pass.cpp
+++ b/test/containers/sequences/list/list.cons/default_stack_alloc.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 #include "../../../stack_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/initializer_list.pass.cpp b/test/containers/sequences/list/list.cons/initializer_list.pass.cpp
index f862eed..3307017 100644
--- a/test/containers/sequences/list/list.cons/initializer_list.pass.cpp
+++ b/test/containers/sequences/list/list.cons/initializer_list.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/initializer_list_alloc.pass.cpp b/test/containers/sequences/list/list.cons/initializer_list_alloc.pass.cpp
index 649610a..9720a3d 100644
--- a/test/containers/sequences/list/list.cons/initializer_list_alloc.pass.cpp
+++ b/test/containers/sequences/list/list.cons/initializer_list_alloc.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/input_iterator.pass.cpp b/test/containers/sequences/list/list.cons/input_iterator.pass.cpp
index b5d8dcb..09eae8a 100644
--- a/test/containers/sequences/list/list.cons/input_iterator.pass.cpp
+++ b/test/containers/sequences/list/list.cons/input_iterator.pass.cpp
@@ -16,7 +16,7 @@
 #include <cassert>
 #include "test_iterators.h"
 #include "../../../stack_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/move.pass.cpp b/test/containers/sequences/list/list.cons/move.pass.cpp
index f1c5a98..ced38b4 100644
--- a/test/containers/sequences/list/list.cons/move.pass.cpp
+++ b/test/containers/sequences/list/list.cons/move.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include "../../../MoveOnly.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/move_alloc.pass.cpp b/test/containers/sequences/list/list.cons/move_alloc.pass.cpp
index 94711d4..78e1445 100644
--- a/test/containers/sequences/list/list.cons/move_alloc.pass.cpp
+++ b/test/containers/sequences/list/list.cons/move_alloc.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include "../../../MoveOnly.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/op_equal_initializer_list.pass.cpp b/test/containers/sequences/list/list.cons/op_equal_initializer_list.pass.cpp
index f090043..7b7b8a3 100644
--- a/test/containers/sequences/list/list.cons/op_equal_initializer_list.pass.cpp
+++ b/test/containers/sequences/list/list.cons/op_equal_initializer_list.pass.cpp
@@ -13,7 +13,7 @@
 
 #include <list>
 #include <cassert>
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.cons/size_type.pass.cpp b/test/containers/sequences/list/list.cons/size_type.pass.cpp
index 864b5ad..b72c9ca 100644
--- a/test/containers/sequences/list/list.cons/size_type.pass.cpp
+++ b/test/containers/sequences/list/list.cons/size_type.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include "../../../DefaultOnly.h"
 #include "../../../stack_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 template <class T, class Allocator>
 void
diff --git a/test/containers/sequences/list/list.cons/size_value_alloc.pass.cpp b/test/containers/sequences/list/list.cons/size_value_alloc.pass.cpp
index 89cdf0e..e1d768e 100644
--- a/test/containers/sequences/list/list.cons/size_value_alloc.pass.cpp
+++ b/test/containers/sequences/list/list.cons/size_value_alloc.pass.cpp
@@ -15,7 +15,7 @@
 #include <cassert>
 #include "../../../DefaultOnly.h"
 #include "../../../stack_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/clear.pass.cpp b/test/containers/sequences/list/list.modifiers/clear.pass.cpp
index 5bfab6f..38696b6 100644
--- a/test/containers/sequences/list/list.modifiers/clear.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/clear.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/emplace.pass.cpp b/test/containers/sequences/list/list.modifiers/emplace.pass.cpp
index 9f5edf5..6476d1d 100644
--- a/test/containers/sequences/list/list.modifiers/emplace.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/emplace.pass.cpp
@@ -18,7 +18,7 @@
 #include <list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 class A
 {
diff --git a/test/containers/sequences/list/list.modifiers/emplace_back.pass.cpp b/test/containers/sequences/list/list.modifiers/emplace_back.pass.cpp
index 71bc671..5983efc 100644
--- a/test/containers/sequences/list/list.modifiers/emplace_back.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/emplace_back.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 class A
 {
diff --git a/test/containers/sequences/list/list.modifiers/emplace_front.pass.cpp b/test/containers/sequences/list/list.modifiers/emplace_front.pass.cpp
index 2eee9da..e2e68e3 100644
--- a/test/containers/sequences/list/list.modifiers/emplace_front.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/emplace_front.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 class A
 {
diff --git a/test/containers/sequences/list/list.modifiers/erase_iter.pass.cpp b/test/containers/sequences/list/list.modifiers/erase_iter.pass.cpp
index 0c2e5a1..c1cc900 100644
--- a/test/containers/sequences/list/list.modifiers/erase_iter.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/erase_iter.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/erase_iter_db1.pass.cpp b/test/containers/sequences/list/list.modifiers/erase_iter_db1.pass.cpp
index d5fd044..18c15eb 100644
--- a/test/containers/sequences/list/list.modifiers/erase_iter_db1.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/erase_iter_db1.pass.cpp
@@ -20,7 +20,7 @@
 #include <cstdlib>
 #include <exception>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/erase_iter_db2.pass.cpp b/test/containers/sequences/list/list.modifiers/erase_iter_db2.pass.cpp
index df567aa..61ff840 100644
--- a/test/containers/sequences/list/list.modifiers/erase_iter_db2.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/erase_iter_db2.pass.cpp
@@ -20,7 +20,7 @@
 #include <cstdlib>
 #include <exception>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/erase_iter_iter.pass.cpp b/test/containers/sequences/list/list.modifiers/erase_iter_iter.pass.cpp
index e1a6e5a..bd3f66b 100644
--- a/test/containers/sequences/list/list.modifiers/erase_iter_iter.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/erase_iter_iter.pass.cpp
@@ -14,7 +14,7 @@
 #include <list>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/erase_iter_iter_db1.pass.cpp b/test/containers/sequences/list/list.modifiers/erase_iter_iter_db1.pass.cpp
index 18b825b..71ad497 100644
--- a/test/containers/sequences/list/list.modifiers/erase_iter_iter_db1.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/erase_iter_iter_db1.pass.cpp
@@ -20,7 +20,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/erase_iter_iter_db2.pass.cpp b/test/containers/sequences/list/list.modifiers/erase_iter_iter_db2.pass.cpp
index 84fbf37..db76b4d 100644
--- a/test/containers/sequences/list/list.modifiers/erase_iter_iter_db2.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/erase_iter_iter_db2.pass.cpp
@@ -20,7 +20,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/erase_iter_iter_db3.pass.cpp b/test/containers/sequences/list/list.modifiers/erase_iter_iter_db3.pass.cpp
index 4bdee44..25c5c61 100644
--- a/test/containers/sequences/list/list.modifiers/erase_iter_iter_db3.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/erase_iter_iter_db3.pass.cpp
@@ -20,7 +20,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/sequences/list/list.modifiers/erase_iter_iter_db4.pass.cpp b/test/containers/sequences/list/list.modifiers/erase_iter_iter_db4.pass.cpp
index 5b1d3e1..35a4ceb 100644
--- a/test/containers/sequences/list/list.modifiers/erase_iter_iter_db4.pass.cpp
+++ b/test/containers/sequences/list/list.modifiers/erase_iter_iter_db4.pass.cpp
@@ -20,7 +20,7 @@
 #include <exception>
 #include <cstdlib>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
